|  | Home · All Classes · Modules

# QGraphicsColorizeEffect Class Reference
[QtGui module]

The QGraphicsColorizeEffect class provides a colorize effect. More...

Inherits QGraphicsEffect.

### Methods

- __init__ (self, QObject parent = None)
- QColor color (self)
- draw (self, QPainter)
- setColor (self, QColor)
- setStrength (self, float)
- float strength (self)

### Qt Signals

- void colorChanged (const QColor&)
- void strengthChanged (qreal)

## Detailed Description

The QGraphicsColorizeEffect class provides a colorize effect.

A colorize effect renders the source with a tint of its color(). The color can be modified using the setColor() function.

By default, the color is light blue (QColor(0, 0, 192)).

See also QGraphicsDropShadowEffect, QGraphicsBlurEffect, and QGraphicsOpacityEffect.

## Method Documentation

### QGraphicsColorizeEffect.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new QGraphicsColorizeEffect instance. The parent parameter is passed to QGraphicsEffect's constructor.

### QColor QGraphicsColorizeEffect.color (self)

### QGraphicsColorizeEffect.draw (self, QPainter)

Reimplemented from QGraphicsEffect.draw().

### QGraphicsColorizeEffect.setColor (self, QColor)

This method is also a Qt slot with the C++ signature `void setColor(const QColor&)`.

### QGraphicsColorizeEffect.setStrength (self, float)

This method is also a Qt slot with the C++ signature `void setStrength(qreal)`.

### float QGraphicsColorizeEffect.strength (self)

## Qt Signal Documentation

### void colorChanged (const QColor&)

This is the default overload of this signal.

This signal is emitted whenever the effect's color changes. The color parameter holds the effect's new color.

### void strengthChanged (qreal)

This is the default overload of this signal.

This signal is emitted whenever setStrength() changes the colorize strength property. strength contains the new strength value of the colorize effect.